Subject: Re: [TR] Triumphs Digest, Vol 15, Issue 179

From: Michael Muller <[email-masked]>
Date: Fri, 28 Oct 2022 21:45:53 -0400

Festool. Costs a small fortune, but for something used as often as a cordless drill, it’s worth it. (The rest of my tools are harbor freight!)

Had mine for about ten years. 

Regards,
Michael Müller
> Message: 1
> Date: Fri, 28 Oct 2022 13:50:48 +0000
> From: auprichard uprichard.net <[email-masked]>
> To: TR3 Triumphs <[email-masked]>
> Subject: [TR] Trickle chargers and drills
> Message-ID:
>    <[email-masked]>
>    
> Content-Type: text/plain; charset="us-ascii"
> 
> My wife just asked what I wanted on my Christmas list - joy!
> 
> I'd like to get trickle chargers which I can plug in and forget about when we are away during the winter.  What recommendations do you have?
> 
> Also, my cordless drill is old and done:  again, any recommendations?
> 
> Andrew Uprichard
> Jackson, Michigan
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://autox.team.net/pipermail/triumphs/attachments/20221028/5cd15936/attachment-0001.htm>

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]